Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory

    java.lang.Object
      javax.crypto.SecretKeyFactorySpi
          org.bouncycastle.jce.provider.JCESecretKeyFactory

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.DESPBEKeyFactory, JCESecretKeyFactory.PBEKeyFactory

    public class JCESecretKeyFactory

extends javax.crypto.SecretKeyFactorySpi
implements PBE

Nested Class Summary
`static class` | `JCESecretKeyFactory.DES`
`static class` | `JCESecretKeyFactory.DESede`
`static class` | `JCESecretKeyFactory.DESPBEKeyFactory`
`static class` | `JCESecretKeyFactory.PBEKeyFactory`
`static class` | `JCESecretKeyFactory.PBEWithMD2AndDES` PBEWithMD2AndDES
`static class` | `JCESecretKeyFactory.PBEWithMD2AndRC2` PBEWithMD2AndRC2
`static class` | `JCESecretKeyFactory.PBEWithMD5And128BitAESCBCOpenSSL` PBEWithMD5And128BitAES-OpenSSL
`static class` | `JCESecretKeyFactory.PBEWithMD5And192BitAESCBCOpenSSL` PBEWithMD5And192BitAES-OpenSSL
`static class` | `JCESecretKeyFactory.PBEWithMD5And256BitAESCBCOpenSSL` PBEWithMD5And256BitAES-OpenSSL
`static class` | `JCESecretKeyFactory.PBEWithMD5AndDES` PBEWithMD5AndDES
`static class` | `JCESecretKeyFactory.PBEWithMD5AndRC2` PBEWithMD5AndRC2
`static class` | `JCESecretKeyFactory.PBEWithRIPEMD160` PBEWithHmacRIPEMD160
`static class` | `JCESecretKeyFactory.PBEWithSHA` PBEWithHmacSHA
`static class` | `JCESecretKeyFactory.PBEWithSHA1AndDES` PBEWithSHA1AndDES
`static class` | `JCESecretKeyFactory.PBEWithSHA1AndRC2` PBEWithSHA1AndRC2
`static class` | `JCESecretKeyFactory.PBEWithSHA256And128BitAESBC` PBEWithSHA256And128BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHA256And192BitAESBC` PBEWithSHA256And192BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHA256And256BitAESBC` PBEWithSHA256And256BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd128BitAESBC` PBEWithSHA1And128BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd128BitRC2` PBEWithSHAAnd128BitRC2-CBC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd128BitRC4` PBEWithSHAAnd128BitRC4
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd192BitAESBC` PBEWithSHA1And192BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd256BitAESBC` PBEWithSHA1And256BitAES-BC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd40BitRC2` PBEWithSHAAnd40BitRC2-CBC
`static class` | `JCESecretKeyFactory.PBEWithSHAAnd40BitRC4` PBEWithSHAAnd40BitRC4
`static class` | `JCESecretKeyFactory.PBEWithSHAAndDES2Key` PBEWithSHAAnd2-KeyTripleDES-CBC
`static class` | `JCESecretKeyFactory.PBEWithSHAAndDES3Key` PBEWithSHAAnd3-KeyTripleDES-CBC
`static class` | `JCESecretKeyFactory.PBEWithSHAAndTwofish` PBEWithSHAAndTwofish-CBC
`static class` | `JCESecretKeyFactory.PBEWithTiger` PBEWithHmacTiger

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary
`protected java.lang.String` | `algName`
`protected DERObjectIdentifier` | `algOid`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` | `JCESecretKeyFactory(java.lang.String algName, DERObjectIdentifier algOid)`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`
`protected java.security.spec.KeySpec` | `engineGetKeySpec(javax.crypto.SecretKey key, java.lang.Class keySpec)`
`protected javax.crypto.SecretKey` | `engineTranslateKey(javax.crypto.SecretKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### algName

    protected java.lang.String algName

### algOid

    protected DERObjectIdentifier algOid

Constructor Detail

### JCESecretKeyFactory

    protected JCESecretKeyFactory(java.lang.String algName,
                                  DERObjectIdentifier algOid)

Method Detail

### engineGenerateSecret

    protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGenerateSecret` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGetKeySpec

    protected java.security.spec.KeySpec engineGetKeySpec(javax.crypto.SecretKey key,
                                                          java.lang.Class keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGetKeySpec` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineTranslateKey

    protected javax.crypto.SecretKey engineTranslateKey(javax.crypto.SecretKey key)
                                                 throws java.security.InvalidKeyException

  Specified by:
    `engineTranslateKey` in class `javax.crypto.SecretKeyFactorySpi`
  Throws:
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD